<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 23/04/2015
 * Time: 13:44
 */

namespace Service\Calendar\Precursor\Strategy;


use Service\Calendar\TaskCalendar;

class StartToStart extends PrecursorStrategyAbstract {

    public function setDates()
    {
    }

    public function getDatesBeginAndEnd($setAllocation = true)
    {
        $task = $this->taskRelationship->getTask();

        $beginTask = $this->getDateBegin();

        $endTask = $this->taskCalendar->getDateEnd($task, clone $beginTask,$setAllocation);
        return array($beginTask,$endTask);
    }
    private function getDateBegin(){

        $taskRelationship = $this->taskRelationship->getTaskRelationship();
        $beginTask = clone $taskRelationship->getEstimatedBeginDate();
        return $beginTask;
    }
}